# $certificate

Returns information about the local certificate

Usage

    $certificate(<query>[,<param1>])

Description

Returns the requested information about local certificate.
Some queries can accept an optional parameter <param1>.
Available query strings are:

- signatureType
- signatureContents
- subjectCountry
- subjectStateOrProvince
- subjectLocality
- subjectOrganization
- subjectOrganizationalUnit
- subjectCommonName
- issuerCountry
- issuerStateOrProvince
- issuerLocality
- issuerOrganization
- issuerOrganizationalUnit
- issuerCommonName
- publicKeyBits
- publicKeyType
- serialNumber
- pemBase64
- version
- fingerprintIsValid
- fingerprintDigestId
- fingerprintDigestStr
- fingerprintContents * accepts parameter interpreted as "digest name"

Syntax Specification

    <string> $certificate(<query:string>[,<param1:string>])

See also
$str.evpsign $str.evpverify $dcc.getsslcertinfo

Index, Functions

KVIrc 4.2.0.6190 Documentation
Generated by root at Mon Sep 23 13:56:02 2013